View Issue Details

IDProjectCategoryView StatusLast Update
0000860OpenMPT[All Projects] File Format Supportpublic2016-11-22 00:02
Reportermoltres_riderAssigned ToSaga Musix 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx64OSWindowsOS Version7
Product VersionOpenMPT 1.26.04.00 / libopenmpt 0.2-beta20 (upgrade first) 
Target VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)Fixed in VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first) 
Summary0000860: File associations are not created by the installer
Description

When installing OpenMPT, file associations are not created for any of the file types checked

Steps To Reproduce

Download the latest stable installer,
install OpenMPT
make sure that 'create file associations for common module types' and 'create file associations for less common module types' are both checked as well as all file types within them.

after installing, notice that Windows still doesn't how how to open some module types and other module types still open in Media Player Classic Home Cinema, notably .it and .xm files

attempt to install again, still no associations created

TagsNo tags attached.
Has the bug occurred in previous versions?no
Tested code revision (in case you know it)

Activities

jmkz

jmkz

2016-08-17 15:31

reporter   ~0002610

I have an old backup where it is partially supported file association throug installer setup. Once got it updated, I will provide a patch for installer scripts.

jmkz

jmkz

2016-08-17 15:34

reporter   ~0002611

Actually needs support for application registering, following Windows' Default Programs API.

Saga Musix

Saga Musix

2016-11-22 00:02

administrator   ~0002741

The installer uses the Default Programs API (https://msdn.microsoft.com/en-us/library/windows/desktop/cc144154(v=vs.85).aspx) as of r7413.

Issue History

Date Modified Username Field Change
2016-08-11 17:56 moltres_rider New Issue
2016-08-17 15:31 jmkz Note Added: 0002610
2016-08-17 15:34 jmkz Note Added: 0002611
2016-11-22 00:02 Saga Musix Assigned To => Saga Musix
2016-11-22 00:02 Saga Musix Status new => resolved
2016-11-22 00:02 Saga Musix Resolution open => fixed
2016-11-22 00:02 Saga Musix Fixed in Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2016-11-22 00:02 Saga Musix Target Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2016-11-22 00:02 Saga Musix Note Added: 0002741